# flopc::MP_domain_set Class Reference
[Public interface]

Range over which some other constuct is defined. More...

`#include <MP_domain.hpp>`

Inheritance diagram for flopc::MP_domain_set:
[legend]
Collaboration diagram for flopc::MP_domain_set:
[legend]

List of all members.

## Public Member Functions
| MP_domain_set (const MP_set *s, MP_index *i)
| Constructor taking a set pointer and an index pointer.
void | operator() () const
int | evaluate () const
| Evaluates the index within the domain.
const MP_set_base * | getSet () const
| Getter for the set used in construction.
MP_index * | getIndex () const
| Getter for the index used in construction.
MP_domain | getDomain (MP_set *s) const
| ~MP_domain_set ()
## Private Attributes
const MP_set * | S
MP_index * | I

## Detailed Description

Range over which some other constuct is defined.

This is one of the main public interface classes. One uses this in the context of a constraint, objective, variable, or data. This class in the MP_domain family uses an MP_set and and index for defining the Range over which the construct is defined.

- This defines the domain as the contents of the set when referred into by the index.

Definition at line 110 of file MP_domain.hpp.

## Constructor & Destructor Documentation

flopc::MP_domain_set::MP_domain_set | ( | const MP_set * | s,
|  | MP_index * | i |
| ) |  |  |

Constructor taking a set pointer and an index pointer.

flopc::MP_domain_set::~MP_domain_set | ( |  | ) |

## Member Function Documentation

void flopc::MP_domain_set::operator() | ( |  | ) | const`[virtual]`

Todo:
  should this be public? Should it be called? If so, needs doc.

Implements flopc::Functor.

int flopc::MP_domain_set::evaluate | ( |  | ) | const`[virtual]`

Evaluates the index within the domain.

Note:
  For internal use

Implements flopc::MP_index_base.

const MP_set_base* flopc::MP_domain_set::getSet | ( |  | ) | const`[virtual]`

Getter for the set used in construction.

Implements flopc::MP_domain_base.

MP_index* flopc::MP_domain_set::getIndex | ( |  | ) | const`[virtual]`

Getter for the index used in construction.

Implements flopc::MP_domain_base.

MP_domain flopc::MP_domain_set::getDomain | ( | MP_set * | s | ) | const`[virtual]`

Note:
  Internal use.

Todo:
  Is internal? can be private? or needs more doc.

Implements flopc::MP_index_base.

## Member Data Documentation

const MP_set* flopc::MP_domain_set::S`[private]`

Definition at line 130 of file MP_domain.hpp.

MP_index* flopc::MP_domain_set::I`[private]`

Definition at line 131 of file MP_domain.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_domain.hpp